Option Explicit ' Original file written and copyright DAVID RUTTEN - http://www.reconstructivism.net/ Call TwistAndShout() Sub TwistAndShout() Dim z, a Dim pi, dblTwistAngle pi = 3.1459 dblTwistAngle = 0.0 Call Rhino.EnableRedraw(True) For z = 0 To 5 Step 0.5 dblTwistAngle = dblTwistAngle + (pi/30) For a = 0 To 2*pi Step (pi/15) Dim x, y Dim strObject x = 5 * Sin(a + dblTwistAngle) y = 5 * Cos(a + dblTwistAngle) Call Rhino.AddSphere(Array(0,0,0), 0.5) strObject = Rhino.FirstObject If strObject <> vbNull Then Rhino.SelectObject strObject Rhino.MoveObject strObject, Array(0,0,0), Array(x,y,z) End If Next Next 'Call Rhino.EnableRedraw(True) End Sub